#! /bin/sh
# This script fixes epsutil.html to replace and/or insert hypertext
# links to GIF files.  It must be updated if significant changes are
# made to epsutil.man, although I've tried to use distinctive patterns
# that allow easy recognition of the points where changes are needed.
#
# Usage:
#	./fix-html.sh
# The original epsutil.html file is preserved as epsutil.html.old
# for debugging purposes.
# [26-Sep-1996]

AWK=/usr/local/bin/awk

mv epsutil.html epsutil.html.old

$AWK '
/^<!-- [.]ce 999 -->$/,/^<!-- [.]ce 0 -->$/ \
    {
	if ($0 ~ /<!--/)
	    print $0
	else
	{
	    line = $0
	    gsub(/-/,"_",line)	# prevent comment confusion
	    print "<!-- " line " -->"
	}
	if ($0 ~ /^<!-- [.]ce 999 -->$/)
	    save = "<PRE>\n"
	else if ($0 ~ /^<!-- [.]ce 0 -->$/)
	{
	    save = save "</PRE>\n"
	    print "<P>"
	    # Browsers expect ALT value to be a simple text line: a preformatted
	    # environment does not work, sigh...
	    print "<IMG SRC=\"epsfig01.gif\" ALT=\"[Box reference points]\">"
	    print "</P>"
	}
	else
	    save = save $0 "\n"
	next
    }

/^<!-- .if t \\{ -->$/,/^<!-- \\} -->$/ \
    {
	print
	if ($0 ~ /<!-- # Figure 2/)
	    in_figures = 1
	if (in_figures && ($0 ~ /^<!-- \\} -->$/))
	{
	    print "<P>"
	    print "Here are some sample rotations; notice that the"
	    print "page position of the lower-left corner of the"
	    print "original image is always occupied by an image"
	    print "corner after the rotation."
	    print "</P>"
	    print "<P>"
	    print "<IMG SRC =\"epsfig02.gif\" ALT=\"-90 degree rotation\">"
	    print "<IMG SRC =\"epsfig03.gif\" ALT=\"+90 degree rotation\">"
	    print "<IMG SRC =\"epsfig04.gif\" ALT=\"+180 degree rotation\">"
	    print "<IMG SRC =\"epsfig05.gif\" ALT=\"-6 degree rotation\">"
	    print "<IMG SRC =\"epsfig06.gif\" ALT=\"+8 degree rotation\">"
	    print "</P>"
	}
	next
    }
    { print }
' epsutil.html.old >epsutil.html
